function addIMPACTIcon(fig)
% addIMPACTIcon adds icon
%   addIMPACTIcon(fig) adds the IMPACT icon on a figure fig

%   Project: IMPACT
%   Title of Code: addIcon
%   Relevant additional documentation:
%   Developer: Carlos Gonzalez
%   External Dependencies: NA
%
%   Disclaimer
%   CAUTION: It is strongly recommended that changes to this code
%   should be avoided without first consulting with authors.

warning('off','MATLAB:HandleGraphics:ObsoletedProperty:JavaFrame');
jframe=get(fig,'javaframe');
mlsLogo = which('icon.png');
jIcon=javax.swing.ImageIcon(mlsLogo);
jframe.setFigureIcon(jIcon);
